module.exports = function(include, puremvc) {

	/**
	 * @class npmvc.view.route.IndexRoute
	 * @extends puremvc.Proxy
	 *
	 */
	puremvc.define(
		// CLASS INFO
		{
			name: "npmvc.view.middleware.StaticFiles",
			parent: npmvc.view.middleware.Middleware
		},
		{
			onRegister: function() {
				this.expressMediator = this.facade.retrieveMediator(npmvc.view.mediator.ExpressMediator.NAME);
			},
			init:function(path){
				this.expressMediator.getViewComponent().use(this.expressMediator.express.static(path));
			}
		},
		// STATIC MEMBERS	
		{
			NAME: "npmvc.view.middleware.StaticFiles"
		});

}